> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SSO settings



## OpenAPI

````yaml get /v1/tenants/{id}/sso-settings
openapi: 3.0.0
info:
  title: Auth APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/auth
  - url: https://staging.api.eu.aptlydone.com/auth
  - url: https://api.us.aptlydone.com/auth
  - url: https://api.eu.aptlydone.com/auth
security: []
tags: []
paths:
  /v1/tenants/{id}/sso-settings:
    get:
      tags:
        - tenants
      summary: Get SSO settings
      operationId: TenantController_getTenantSsoSettings_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: SSO settings fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantSsoSettingsResponseDtoResponse'
      security:
        - accessToken: []
components:
  schemas:
    TenantSsoSettingsResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-12T09:10:12.337Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/TenantSsoSettingsResponseDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    TenantSsoSettingsResponseDto:
      type: object
      properties:
        saml:
          description: SAML Settings
          allOf:
            - $ref: '#/components/schemas/SSOSAMLSettingsResponseDto'
        oidc:
          description: OIDC Settings
          allOf:
            - $ref: '#/components/schemas/SSOOIDCSettingsDto'
        ssoId:
          type: string
          description: SSO Provider ID
          example: sso-provider-9e95eea8-b1d2-44f5-89a7-2865af59db4d
    SSOSAMLSettingsResponseDto:
      type: object
      properties:
        attributeMapping:
          description: Attribute Mapping
          allOf:
            - $ref: '#/components/schemas/AttributeMappingDto'
      required:
        - attributeMapping
    SSOOIDCSettingsDto:
      type: object
      properties:
        attributeMapping:
          description: Attribute Mapping
          allOf:
            - $ref: '#/components/schemas/OIDCAttributeMappingDto'
    AttributeMappingDto:
      type: object
      properties:
        name:
          type: string
          description: Name attribute mapping
          example: http://schemas.xmlsoap.org/ws/2005/05/identity/claims/name
        email:
          type: string
          description: Email attribute mapping
          example: http://schemas.xmlsoap.org/ws/2005/05/identity/claims/emailaddress
        username:
          type: string
          description: Username attribute mapping
          example: http://schemas.xmlsoap.org/ws/2005/05/identity/claims/username
        phoneNumber:
          type: string
          description: Phone number attribute mapping
          example: http://schemas.xmlsoap.org/ws/2005/05/identity/claims/phonenum
        givenName:
          type: string
          description: Given name attribute mapping
          example: http://schemas.xmlsoap.org/ws/2005/05/identity/claims/givenname
        middleName:
          type: string
          description: Middle name attribute mapping
          example: http://schemas.xmlsoap.org/ws/2005/05/identity/claims/middlename
        familyName:
          type: string
          description: Family name attribute mapping
          example: http://schemas.xmlsoap.org/ws/2005/05/identity/claims/surname
        picture:
          type: string
          description: Picture attribute mapping
          example: http://schemas.xmlsoap.org/ws/2005/05/identity/claims/picture
        verifiedEmail:
          type: string
          description: Verified email attribute mapping
          example: http://schemas.xmlsoap.org/ws/2005/05/identity/claims/verifiedemail
        verifiedPhone:
          type: string
          description: Verified phone attribute mapping
          example: http://schemas.xmlsoap.org/ws/2005/05/identity/claims/verifiedphone
        group:
          type: string
          description: Group attribute mapping
          example: http://schemas.xmlsoap.org/ws/2005/05/identity/claims/groups
        customAttributes:
          type: object
          description: Custom attributes mapping
          example:
            department: Grocery
            jobTitle: Global Creative Architect
            location: Oshkosh
    OIDCAttributeMappingDto:
      type: object
      properties:
        loginId:
          type: string
          description: Login ID attribute mapping
          example: preferred_username
        name:
          type: string
          description: Name attribute mapping
          example: name
        email:
          type: string
          description: Email attribute mapping
          example: email
        username:
          type: string
          description: Username attribute mapping
          example: username
        phoneNumber:
          type: string
          description: Phone number attribute mapping
          example: phone_number
        givenName:
          type: string
          description: Given name attribute mapping
          example: given_name
        middleName:
          type: string
          description: Middle name attribute mapping
          example: middle_name
        familyName:
          type: string
          description: Family name attribute mapping
          example: family_name
        picture:
          type: string
          description: Picture attribute mapping
          example: picture
        verifiedEmail:
          type: string
          description: Verified email attribute mapping
          example: email_verified
        verifiedPhone:
          type: string
          description: Verified phone attribute mapping
          example: phone_number_verified
        customAttributes:
          type: object
          description: Custom attributes mapping
          example:
            department: Outdoors
            jobTitle: District Optimization Supervisor
            location: North Lenny
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````